Page 1 of 2

Ngaios Web interface showing "Not Supported" message

PostPosted: Wed Feb 06, 2019 8:36 am
by vladjt7
Hi,

I was able to install nagios server in centos7 Cpanel server without ado and was able to supply the logins as well, however right after login it displayed a white screen with the message "Not Supported". I have confirmed that nagios is up and apache is up. Additionally I didnt find any relevant log in following files

/usr/local/nagios/var/nagios.log
/var/log/messages
/var/log/httpd/error_log
/var/log/httpd/access_log

Please let me know how to get rid of this error ?.

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Wed Feb 06, 2019 9:58 am
by mcapra
What method did you use to install Nagios Core? I would suggest installing Nagios Core via the official documentation:
https://support.nagios.com/kb/article/n ... ce-96.html

I can pretty much guarantee Nagios Core's front-end is going to bump heads with cPanel at some point in either application's existence. I would make sure the environments are properly segmented, with some cPanel configs mirroring the regular old Apache configs that ship with Nagios Core.

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Wed Feb 06, 2019 5:15 pm
by ssax
mcapra is likely correct, please show a screenshot of where you are seeing the "Not Supported" message.

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Wed Feb 06, 2019 11:57 pm
by vladjt7
Hi,

Yes, I have followed the same steps for installing nagios and the installation process went well. I came to notice that php files are not working with nagios web interface, however html files are fine. I am using CGI as handler. Kindly let me know your thoughts.

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Thu Feb 07, 2019 3:23 pm
by scottwilkerson
vladjt7 wrote:Hi,

Yes, I have followed the same steps for installing nagios and the installation process went well. I came to notice that php files are not working with nagios web interface, however html files are fine. I am using CGI as handler. Kindly let me know your thoughts.


Nagios does require php

Did you install php on the server?

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Tue Feb 12, 2019 5:11 am
by vladjt7
Its a cpanel server and php is there already.
[root@nagios1 /]# php -v
PHP 5.6.40 (cli) (built: Feb 5 2019 02:28:13)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
[root@nagios1 /]#

Kindly let me know how to resolve the issue.

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Tue Feb 12, 2019 8:44 am
by scottwilkerson
Can you share a screenshot of where you are seeing this "Not Supported" message?

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Tue Feb 12, 2019 11:37 am
by vladjt7
Hereby I am enclosing the screen shot of the error message. I suspect its related CGI handler in the server.

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Tue Feb 12, 2019 12:53 pm
by scottwilkerson
Can you post the output of the following command, I want to verify php module is enabled for httpd
Code: Select all
apachectl -M | sort

Re: Ngaios Web interface showing "Not Supported" message

PostPosted: Tue Feb 12, 2019 9:51 pm
by vladjt7
Here is the requested information


[root@server ~]# apachectl -M | sort
Syntax OK
actions_module (shared)
alias_module (shared)
auth_basic_module (shared)
auth_digest_module (shared)
authn_alias_module (shared)
authn_anon_module (shared)
authn_dbm_module (shared)
authn_default_module (shared)
authn_file_module (shared)
authnz_ldap_module (shared)
authz_dbm_module (shared)
authz_default_module (shared)
authz_groupfile_module (shared)
authz_host_module (shared)
authz_owner_module (shared)
authz_user_module (shared)
autoindex_module (shared)
cache_module (shared)
cgi_module (shared)
core_module (static)
dav_fs_module (shared)
dav_module (shared)
deflate_module (shared)
dir_module (shared)
disk_cache_module (shared)
env_module (shared)
expires_module (shared)
ext_filter_module (shared)
headers_module (shared)
http_module (static)
include_module (shared)
info_module (shared)
ldap_module (shared)
Loaded Modules:
log_config_module (shared)
logio_module (shared)
mime_magic_module (shared)
mime_module (shared)
mpm_prefork_module (static)
negotiation_module (shared)
php5_module (shared)
proxy_ajp_module (shared)
proxy_balancer_module (shared)
proxy_connect_module (shared)
proxy_ftp_module (shared)
proxy_http_module (shared)
proxy_module (shared)
rewrite_module (shared)
setenvif_module (shared)
so_module (static)
speling_module (shared)
status_module (shared)
substitute_module (shared)
suexec_module (shared)
userdir_module (shared)
usertrack_module (shared)
version_module (shared)
vhost_alias_module (shared)